pcl::io::openni2::OpenNI2DeviceManager Class Reference

`#include <pcl/io/openni2/openni2_device_manager.h>`

## Public Member Functions

| OpenNI2DeviceManager ()
virtual | ~OpenNI2DeviceManager ()
std::shared_ptr< std::vector< OpenNI2DeviceInfo > > | getConnectedDeviceInfos () const
std::shared_ptr< std::vector< std::string > > | getConnectedDeviceURIs () const
std::size_t | getNumOfConnectedDevices () const
OpenNI2Device::Ptr | getAnyDevice ()
OpenNI2Device::Ptr | getDevice (const std::string &device_URI)
OpenNI2Device::Ptr | getDeviceByIndex (int index)
OpenNI2Device::Ptr | getFileDevice (const std::string &path)

## Static Public Member Functions

static shared_ptr< OpenNI2DeviceManager > | getInstance ()

## Protected Attributes

std::shared_ptr< OpenNI2DeviceListener > | device_listener_

## Detailed Description

Definition at line 53 of file openni2_device_manager.h.

## Constructor & Destructor Documentation

## OpenNI2DeviceManager()

pcl::io::openni2::OpenNI2DeviceManager::OpenNI2DeviceManager | ( |  | ) |

## ~OpenNI2DeviceManager()

virtual pcl::io::openni2::OpenNI2DeviceManager::~OpenNI2DeviceManager | ( |  | ) |

virtual

## Member Function Documentation

## getAnyDevice()

OpenNI2Device::Ptr pcl::io::openni2::OpenNI2DeviceManager::getAnyDevice | ( |  | ) |

## getConnectedDeviceInfos()

std::shared_ptr<std::vector<OpenNI2DeviceInfo> > pcl::io::openni2::OpenNI2DeviceManager::getConnectedDeviceInfos | ( |  | ) | const

## getConnectedDeviceURIs()

std::shared_ptr<std::vector<std::string> > pcl::io::openni2::OpenNI2DeviceManager::getConnectedDeviceURIs | ( |  | ) | const

## getDevice()

OpenNI2Device::Ptr pcl::io::openni2::OpenNI2DeviceManager::getDevice | ( | const std::string & | device_URI | ) |

## getDeviceByIndex()

OpenNI2Device::Ptr pcl::io::openni2::OpenNI2DeviceManager::getDeviceByIndex | ( | int | index | ) |

## getFileDevice()

OpenNI2Device::Ptr pcl::io::openni2::OpenNI2DeviceManager::getFileDevice | ( | const std::string & | path | ) |

## getInstance()

static shared_ptr<OpenNI2DeviceManager> pcl::io::openni2::OpenNI2DeviceManager::getInstance | ( |  | ) |

inline static

Definition at line 61 of file openni2_device_manager.h.

## getNumOfConnectedDevices()

std::size_t pcl::io::openni2::OpenNI2DeviceManager::getNumOfConnectedDevices | ( |  | ) | const

## Member Data Documentation

## device_listener_

std::shared_ptr<OpenNI2DeviceListener> pcl::io::openni2::OpenNI2DeviceManager::device_listener_

protected

Definition at line 89 of file openni2_device_manager.h.

The documentation for this class was generated from the following file:

- pcl/io/openni2/openni2_device_manager.h